cdac.medinfo.sdk.hl7282.exceptions

## Class FieldMissingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cdac.medinfo.sdk.hl7282.utils.HL7Exception
        - - cdac.medinfo.sdk.hl7282.exceptions.FieldMissingException

- All Implemented Interfaces:
    java.io.Serializable

      public class FieldMissingException
      extends HL7Exception

  Thrown when Mandatory Field is Missing in populated segment in Message. This class provides mechanism to serialize, parse and validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard. It provides user with serialize method to serialize message object to any stream & parse method to obtain fully populated & validated Message object from any stream.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldMissingException()` Constructs a new Field Missing Exception with the specified detail message.
    `FieldMissingException(java.lang.String strMessage)` Constructs a new Field Missing Exception with the specified detail message.
    `FieldMissingException(java.lang.String strMessage, java.lang.Throwable cause)` Constructs the Field Missing Exception with the specified detail message and cause.
    `FieldMissingException(java.lang.Throwable cause)` Constructs a new Field Missing Exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.utils.HL7Exception

      `getErrorCode, getMessage, setErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldMissingException

          public FieldMissingException(java.lang.String strMessage,
                               java.lang.Throwable cause)

      Constructs the Field Missing Exception with the specified detail message and cause.
      Parameters:
        `strMessage` - The detail message
        `cause` - The cause

    - #### FieldMissingException

          public FieldMissingException(java.lang.String strMessage)

      Constructs a new Field Missing Exception with the specified detail message.
      Parameters:
        `strMessage` - The detail message

    - #### FieldMissingException

          public FieldMissingException(java.lang.Throwable cause)

      Constructs a new Field Missing Exception with the specified cause. This constructor is useful for runtime exceptions that are little more than wrappers for other throwables.
      Parameters:
        `cause` - The cause (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### FieldMissingException

          public FieldMissingException()

      Constructs a new Field Missing Exception with the specified detail message.
      Parameters:
        `strMessage` - The detail message